<?php

/* datasource.lib.php
   Provides an abstract layer for interfacing with a database server.
   Part of Siteation.
   Copyright (C) 2005 Studio 703.  All rights reserved.
*/

// This class provides an abstract interface for a database server
class DATA_SOURCE {
  // Stores the handle assigned to the data source at connect time
  private $handle;
  // Stores the databse server host name
  private $host;
  // Stores the user name used to connect to the database server
  private $userName;
  // Stores the name of the database being accessed
  private $dataSource;
  // Stores the result returned from the last query executed
  private $queryResult;
  // Stores the number of successful queries executed by this interface
  private $queryCount;
  // Stores the most recent query string sent to the database server
  private $queryString;
  // Stores the execution time of the last query, in milliseconds
  private $queryRunTime;

  // Constructor
  function DATA_SOURCE($host, $database) {
    // Store the name of the database server
    $this->host = $host;
    // Store the name of the database to be accessed
    $this->dataSource = $database;
  }
  
  // Connects to the database server using the supplied username and password
  function Connect($userName, $password) {
    return;
  }
  // Executes the specified query
  function Query($queryString) {
    return;
  }
  
  // Executes a SELECT query on the current database
  function Select($query) {
    return;
  }
  
  // Executes a DELETE or TRUNCATE TABLE query
  function Delete($query, $now = FALSE) {
    return;
  }
  
  // Executes a full-text search on the specified table
  function FindText($query) {
    return;
  }
  
  // Inserts data into the database
  function Insert($query) {
    return;
  }
  
  // Updates data in the database
  function Update($query) {
    return;
  }
  
  // Queries for the last primary key generated by the database
  function LastKey() {
    return;
  }
  
  // Retrieves the total number of rows returned by the specified query
  function RowCount($query) {
    return;
  }
  
  // Retrieves the total rows changed by the specified query
  function RowsChanged() {
    return;
  }
  
  // Retrieves a row from the specified query
  function NextRow($query) {
    return;
  }
  
  // Retrieves a row from the specified query (including field names)
  function NextRowVerbose($query) {
    return;
  }
  
  // Releases a query from memory
  function FreeQuery($query) {
    return;
  }
  
  // Retrieves the names of the tables in the database
  function TableNames() {
    return;
  }
  
  // Retrieves the names of the fields in the specified table
  function FieldNames($tableName) {
    return;
  }

  // Converts a PHP time value into one understood by the database
  function TimeValue($time = -1) {
    return;
  }
  
  // Retrieves the number of successful queries that have run
  function QueryCount() {
    // Return the query count
    return($this->queryCount);
  }
  
  // Retrieves the last query string sent to the server
  function QueryString() {
    // Return the query string
    return($this->queryString);
  }
  
  // Retrieves the execution time of the last query sent to the server
  function QueryRunTime() {
    // Return the query runtime
    return($this->queryRunTime);
  }

}

?>
