/* This script organizes a list of files uploaded by a specific user to a
   Siteation website.
   Copyright (C) 2007 Studio 703.
*/

var files = new Array();

var attachmentIcon = "../images/site/attachment.icon.png";
var linkCommandIcon = "../images/richtext/hyperlink.gif";
var imageCommandIcon = "../images/richtext/image.gif";

// Inserts HTML into the current post based on the row selected
function pickRow(index, options) {
  // Stores the HTML that will be inserted
  var html = '<a href="' + files[index][5] + '" target="_blank" title="' + files[index][4] + '">';
  // Are we directly inserting an image?
  if (options == "image") {
    html += '<img src="' + files[index][5] + '" alt="' + files[index][0] + '" border="0">';
  }
  else {
    // Are we inserting an icon with the link?
    if (options.indexOf("icon") >= 0) {
      html += '<img src="'
      if (files[index][3] == "") {
        if (files[index][1].indexOf("image") >= 0)
          html += files[index][5];
        else html += attachmentIcon;
      }
      else html += files[index][3];
      html += '" alt="' + files[index][0] + '"style="width:1.5em;height:1.5em;border:none">'
    }
    html += files[index][0];
  }
  html += '</a>';
  // Insert the HTML into the current post
  window.opener.insertHTML(html);
}

// Outputs the preamble (opening table code) for the file list
function tableOpen() {
  // Create the table element
  var newTable = document.createElement("TABLE");
  if (!newTable) return false;
  // Set the element class
  newTable.className = "Post";
  // Create a new row to hold the column names
  var headerRow = newTable.insertRow(-1);
  if (!headerRow) return false;
  // Create the column names
  var iconField = headerRow.insertCell(0);
  var iconIcon = document.createElement("IMG");
  if (!iconField || !iconIcon) return false;
  iconField.className = "PostFieldName";
  iconIcon.src = attachmentIcon;
  iconIcon.className = "HeaderIcon";
  iconField.appendChild(iconIcon);
  var nameField = headerRow.insertCell(1);
  var nameText = document.createTextNode("Name");
  if (!nameField || !nameText) return false;
  nameField.className = "PostFieldName";
  nameField.appendChild(nameText);
  var insertFields = headerRow.insertCell(2);
  if (!insertFields) return false;
  insertFields.className = "PostFieldName";
  insertFields.colspan = 2;
  var insertText = document.createTextNode("Insert As");
  if (!insertText) return false;
  insertFields.appendChild(insertText);
  //var insertFields = headerRow.insertCell(3);
  var typeField = headerRow.insertCell(3);
  var typeText = document.createTextNode("Type");
  if (!typeField || !typeText) return false;
  typeField.className = "PostFieldName";
  typeField.appendChild(typeText);
  var sizeField = headerRow.insertCell(4);
  var sizeText = document.createTextNode("Size");
  if (!sizeField || !sizeText) return false;
  sizeField.className = "PostFieldName";
  sizeField.appendChild(sizeText);
  var descripField = headerRow.insertCell(5);
  var descripText = document.createTextNode("Description");
  if (!descripField || !descripText) return false;
  descripField.className = "PostFieldName";
  descripField.appendChild(descripText);
  return (newTable);
}

// Outputs a single row of the file list
function tableRow(table, index) {
  if (!table) return false;
  // Create a new row in the table
  var newRow = table.insertRow(-1);
  if (!newRow) return(false);
  // Create a new cell for the new row
  var iconField = newRow.insertCell(0);
  var iconCommand = document.createElement("A");
  if (!iconField || !iconCommand) return(false);
  iconField.className = "PostFieldValue";
  iconCommand.href = "javascript:pickRow(" + index + ", 'icon|link')";
  iconCommand.style.border = "none";
  iconCommand.title = "Insert a link with icon";
  // Create an IMG to hold the file icon
  var fileIcon = document.createElement("IMG");
  if (!fileIcon) return(false);
  if (files[index][3] == "") {
    if (files[index][1].indexOf("image") >= 0)
      fileIcon.src = files[index][5];
    else fileIcon.src = attachmentIcon;
  }
  else fileIcon.src = files[index][3];
  fileIcon.className = "HeaderIcon";
  iconCommand.appendChild(fileIcon);
  // Append the icon
  iconField.appendChild(iconCommand);
  // Create a cell for the file name
  var nameField = newRow.insertCell(1);
  // Create a link to the file
  var fileLink = document.createElement("A");
  if (!nameField || !fileLink) return(false);
  nameField.className = "PostFieldValue";
  fileLink.href = files[index][5];
  fileLink.target = "_blank";
  fileLink.title = "View or download this file";
  // Create a text link that represents the file name
  var fileName = document.createTextNode(files[index][0]);
  if (!fileName) return(false);
  fileLink.appendChild(fileName);
  // Append the file link
  nameField.appendChild(fileLink);
  // Create a cell for the "insert as link" command
  var linkField = newRow.insertCell(2);
  // Create a link for the command
  var linkCommand = document.createElement("A");
  if (!linkField || !linkCommand) return(false);
  linkField.className = "PostFieldValue";
  // Set the link command properties
  linkCommand.href = "javascript:pickRow(" + index + ", 'link')";
  linkCommand.style.border = "none";
  linkCommand.title = "Insert a text-only link";
  // Create an IMG for the command icon
  linkIcon = document.createElement("IMG");
  if (!linkIcon) return(false);
  linkIcon.src = linkCommandIcon;
  linkIcon.className = "HeaderIcon";
  linkCommand.appendChild(linkIcon);
  // Append the link command
  linkField.appendChild(linkCommand);
  // Create a cell for the "insert as image" command
  //var imageField = newRow.insertCell(3);
  var imageField = linkField;
  // Create a link for the image command if applicable
  if (files[index][1].indexOf("image") >= 0) {
    var imageCommand = document.createElement("A");
    if (!imageField || !imageCommand) return(false);
    imageField.className = "PostFieldValue";
    // Set the properties for the image command
    imageCommand.href = "javascript:pickRow(" + index + ", 'image')";
    imageCommand.style.border = "none";
    imageCommand.title = "Insert image directly into post";
    // Create an IMG element for the image icon
    var imageIcon = document.createElement("IMG");
    if (!imageIcon) return(false);
    imageIcon.src = imageCommandIcon;
    imageIcon.className = "HeaderIcon";
    imageCommand.appendChild(imageIcon);
    // Append the image command
    imageField.appendChild(imageCommand);
  } 
  // Create a cell to display the file type
  var typeField = newRow.insertCell(3);
  // Create a text node to display the file type
  var typeText = document.createTextNode(files[index][1]);
  if (!typeField || !typeText) return(false);
  typeField.className = "PostFieldValue";
  // Append the file type
  typeField.appendChild(typeText);
  // Create a text node to display the file size
  var sizeField = newRow.insertCell(4);
  var fileSize = new Number(files[index][2] / 1024);
  var sizeText = document.createTextNode(fileSize.toFixed() + " K");
  if (!sizeField || !sizeText) return(false);
  sizeField.className = "PostFieldValue";
  // Append the file size
  sizeField.appendChild(sizeText);
  // Create a text node to display the file description
  var descripField = newRow.insertCell(5);
  var descripText = document.createTextNode(files[index][4]);
  if (!descripField || !descripText) return(false);
  descripField.className = "PostFieldValue";
  // Append the description
  descripField.appendChild(descripText);
}

function tableClose(table, parent) {
  if (!table || !parent) return false;
  parent.appendChild(table);
}

// Builds the file list
// @AttachmentName|FileType|FileSize|Icon|Description|SourcePath
function buildList(data) {
  var fileList = document.getElementById("FileList");
  if (!fileList) return;
  // Proceed only if we have data
  if (!data) {
    fileList.innerHTML = "No response was received from the web server.";
    return;
  }
  fileList = document.getElementById("FileList");
  if (data == "") {
    fileList.innerHTML = "No attachments were found.";
    return;
  }
  // Clear the file list
  fileList.innerHTML = "";
  // Break out the file records
  files = data.split("@");
  // Break out the file fields
  for (var i=1; i < files.length; i++) {
    files[i] = files[i].split("|");
  }
  // Table preamble
  var fileTable = tableOpen();
  // Parse the file records
  for (i = 1; i < files.length; i++) {
    // Output a table row
    tableRow(fileTable, i);
  }  
  // Table closing
  tableClose(fileTable, fileList);
}

// Builds the file list
function buildFileList() {
  // Clear the file list
  var fileList = document.getElementById("FileList");
  if (!fileList) return;
  // Display a "loading" message
  fileList.innerHTML = "Retrieving list...";
  // Create an HTTP request to retrieve the channel list
  remote = new HTTPRequest("GET", "text/plain");
  // If we failed to create the request, we must do things the old-fashioned way
  if (!remote) return;
  remote.url = "../../viewpoint.php";
  remote.queryString = "view=attachments_table";
  remote.callback = function () { 
    // Check the server response
    if (remote.request.readyState == 4) {
      // Everything went well
      if (remote.request.status == 200) 
        buildList(remote.request.responseText);
    }
  }
  // Send the request
  remote.send();
}  
