  [ * Set up the browse controls * ]
    <script language="JavaScript">
      // Allows a dynamic view to be re-sorted based on the viewer's preference
      function sortView(how) {
        switch (how.value) {
          // Sort by post publication date (newest first)
          case "dateNewFirst":
            document.location.href="viewpoint.php?channel=[ $CHANNEL_URL ]&view=[ $VIEW_URL ]&dynamic=y&search[ $viewParams.search|urlencode ]&offset=[ $viewParams.offset ]&max=[ $viewParams.max ]&sort=PubDate+DESC";
            break;
          // Sort by post publication date (oldest first)
          case "dateOldFirst":
            document.location.href="viewpoint.php?channel=[ $CHANNEL_URL ]&view=[ $VIEW_URL ]&dynamic=y&search[ $viewParams.search|urlencode ]&offset=[ $viewParams.offset ]&max=[ $viewParams.max ]&sort=PubDate+ASC";
            break;
          default:
            document.location.href="viewpoint.php?channel=[ $CHANNEL_URL ]";
        }
      }
    </script>
    [ * Set up the previous and next navigation buttons * ]
    <table class="BrowseBar" cols="3">
      <tr>
        <td style="width:33%">
          [ * Create the "Previous" link only if we are not starting from the beginning of the query results * ]
          [ if $viewParams.offset > 0 ]
            [ assign var="PREV_PAGE" value=$viewParams.offset-$viewParams.max ]
            <a href="viewpoint.php?channel=[ $CHANNEL_URL ]&view=[ $VIEW_URL ]&dynamic=y&search=[ $viewParams.search|urlencode ]&offset=[ $PREV_PAGE ]&max=[ $viewParams.max ]&sort=[ $viewParams.sort|urlencode ]"
               title="Previous Page"
               onMouseOver="window.status='Click to return to the previous page.';return true"
               onMouseOut="window.status='';return true">&#9668; Previous Page</a>
          [ else ]
            &nbsp;
          [ /if ]
        </td>
        <td style="width:33%;text-align:center">
          [ * Create the sort box only if we have more than one query result * ]
          [ if $RESULT_COUNT > 1 ]
            Sort posts by:
            <select style="vertical-align:middle" name="sortBox" size="1" onChange="sortView(this)">
              <option value="default">(default)</option>
              [ if $viewParams.sort eq "PubDate DESC" ]
                <option selected value="dateNewFirst">Date (newest first)</option>
              [ else ]
                <option value="dateNewFirst">Date (newest first)</option>
              [ /if ]
              [ if $viewParams.sort eq "PubDate ASC" ]
                <option selected value="dateOldFirst">Date (oldest first)</option>
              [ else ]
                <option value="dateOldFirst">Date (oldest first)</option>
              [ /if ]
            </select>
          [ else ]
            &nbsp;
          [ /if ]
        </td>
        <td style="width:33%;text-align:right">
          [ * Create the "Next" link only if clicking it won't take us past the end of our query results * ]
          [ if $viewParams.max < $postCount ]
            [ assign var="NEXT_PAGE" value=$viewParams.offset+$viewParams.max ]
            <a href="viewpoint.php?channel=[ $CHANNEL_URL ]&view=[ $VIEW_URL ]&dynamic=y&search=[ $viewParams.search|urlencode ]&offset=[ $NEXT_PAGE ]&max=[ $viewParams.max ]&sort=[ $viewParams.sort|urlencode ]"
               title="Next Page"
               onMouseOver="window.status='Click to browse to the next page.';return true"
               onMouseOut="window.status='';return true">Next Page &#9658;</a>
          [ else ]
            &nbsp;
          [ /if ]
        </td>
      </tr>
    </table>
    <!-- BEGIN POSTS ---------------------------------------------------------->
    [ * Loop through each post retrieved for this view (up to the number of times specified in the parameters) * ]
    [ section name=BBOARD loop=$postCount max=$viewParams.max ]
      [ * Retrieve the next post * ]
      [ posts->Next assign="POST" ]
      <table class="Post">
        <tr>
          [ * Display the post title * ]
          <td valign="bottom">
            <div class="PostHeader">[ $POST.Title ]</div>
            <div class="PostInstructions">
              [ * Display information about who created the post and when * ]
              Posted by
              [ * Link to the user information page for the post author * ]
              <a href="viewpoint.php?view=UserInfo&dynamic=y&search=UserName='[ $POST.Author ]'"
                 title="About the author"
                 onMouseOver="window.status='Click to find out more about the author of this post.';return true"
                 onMouseOut="window.status='';return true">[ $POST.Author ]</a> on [ $POST.PubDate|Timestamp:"l, d F Y \a\\t g:i A \(T\)" ]
            </div>
          </td>
          <td class="PostIcon">
            [ * Display the post icon, if one is associated with it * ]
            [ if $POST.Icon neq "" ]
              <a href="viewpoint.php?view=UserInfo&dynamic=y&search=UserName='[ $POST.Author ]'"
                 title="About the author"
                 onMouseOver="window.status='Click to find out more about the author of this post.';return true"
                 onMouseOut="window.status='';return true"
                 style="border:none"><img src="[ $POST.Icon ]" title="[ $POST.Author ]" border="0"></a>
            [ else ]
              [ * Otherwise, display the channel icon * ]
              <img src="[ $thisChannel.Icon ]" title="[ $thisChannel.ChannelName ]">
            [ /if ]
          </td>
        </tr>
      </table>
      [ * Display the actual text of the post * ]
      <table class="Post">
      <tr>
        <td class="PostFieldData">[ $POST.Data ]
          [ * If this post has image attachments, display them beneath the post data * ]
          [ if $POST.AttachCount > 0 ]
            [ section name=pictures loop=$POST.Attachments ]
              [ if $POST.Attachments[pictures].FileType|indexOf:"image" !== false ]
                <p align="center"><img src="[ $POST.Attachments[pictures].SourcePath ]" border="0" title="[ $POST.Attachments[pictures].AttachmentName ]"></p>
              [ /if ]
            [ /section ]
          [ /if ]
        </td>
      </tr>
      </table>
      [ * If this post has extra fields (variables), display them * ]
      [ if $POST.Variables ne "" ]
        <table class="Post">
        [ foreach key=key item=value from=$POST.Variables ]
          <tr>
            <td class="PostFieldName">[ $key ]:</td>
            <td class="PostWideField">
              [ * If the value looks like an e-mail address, scramble it * ]
              [ if $value|indexOf:"@" ge 0 && $value|indexOf:"." ge 0 ]
                [ mailto address=$value encode="javascript" ]
              [ else ]
                [ $value ]
              [ /if ]
            </td>
          </tr>
        [ /foreach ]
        </table>
      [ /if ]
      [ * Display the edit/reply/delete links, based on the current user's permissions * ]
      <table width="100%">
        <tr>
          <td>
            [ * If the user is allowed to modify posts in this channel, display the "Edit" link * ]
            [ if $SUBSCRIPTION|indexOf:"m" !== false ]
              <a style="border:none"
                 href="viewpoint.php?view=Post&dynamic=y&search=ID=[ $POST.ID ]"
                 onMouseOver="window.status='Edit this post';return true"
                 onMouseOut="window.status='';return true"><img border="0" src="templates/images/site/editicon.png" title="Edit Post"></a>
            [ /if ]
            [ * If the user is allowed to write replies to this channel, display the "Reply" link * ]
            [ if $SUBSCRIPTION|indexOf:"y" !== false ]
              <a style="border:none"
                 href="javascript:toggleHidden('Reply_[ $POST.ID ]')"
                 onMouseOver="window.status='Reply to this post.';return true"
                 onMouseOut="window.status='';return true"><img border="0" src="templates/images/site/replyicon.png" title="Reply"></a>
            [ /if ]
            [ * If the user is allowed to delete posts from this channel, display the "Delete" link * ]
            [ if $SUBSCRIPTION|indexOf:"d" !== false ]
              <a style="border:none"
                 href="javascript:confirmDeletePost('[ $CHANNEL_URL ]',[ $POST.ID ])"
                 onMouseOver="window.status='Delete this post';return true"
                 onMouseOut="window.status='';return true"><img src="templates/images/site/delete.icon.png" title="Delete Post" border="0"></a>
            [ /if ]
            </td>
            [ * If there are comments/replies associated with this post, display the link to the page that will display them * ]
            <td class="PostInstructions" style="text-align:right">
              [ if $POST.Replies > 0 ]
                <a href="viewpoint.php?view=[ $VIEW_URL ]&dynamic=y&search=ID=[ $POST.ID ]+OR+Reference=[ $POST.ID ]&sort=Reference+ASC&max="
                   title="View comments on this post"
                   onMouseOver="window.status='View comments on this post.';return true"
                   onMouseOut="window.status='';return true">[ $POST.Replies ] [ "comment"|plural:$POST.Replies ]
              [ else ]
                0 comments
              [ /if ]
          </td>
        </tr>
      </table>
      [ * If the user is allowed to write replies to this channel, embed the Reply form directly underneath each post * ]
      [ if $SUBSCRIPTION|indexOf:"y" !== false ]
        <!-- Each reply form is hidden until the user needs it -->
          <div style="display:none" id="Reply_[ $POST.ID ]">
            <form name="Reply[ $POST.ID ]" action="postit.php" method="post" onSubmit="updateRTE('richData_[ $POST.ID ]');return validateForm(this)">
              <input type="hidden" name="action" value="reply">
              <input type="hidden" name="id" value="[ $POST.ID ]">
              [ * If the post we are replying to has no parent, we are referring to this post (useful when threading conversations) * ]
              [ if $POST.Parent eq 0 ]
                <input type="hidden" name="ref" value="[ $POST.ID ]">
              [ else ]
                [ * Otherwise, this reply is written in (ultimate) reference to this post's parent * ]
                <input type="hidden" name="ref" value="[ $POST.Reference ]">
              [ /if ]
              <input type="hidden" name="channel" value="[ $thisChannel.ChannelName ]">
              <input type=hidden name="icon" value="[ $thisUser.Icon ]">
              [ if $POST.Title|indexOf:"Re:" !== false ]
                <input type="hidden" name="title" value="[ $POST.Title ]">
              [ else ]
                <input type="hidden" name="title" value="Re: [ $POST.Title ]">
              [ /if ]
              <table class="Post">
                <tr>
                  <td class="PostInstructions">
                    Enter your comments below.  If you are posting as an
                    unregistered user, you must enter a valid e-mail address in
                    order to post successfully.  When you have finished entering
                    information, simply click "Continue"!
                    [ if $thisSite.Security.IPTracking|indexOf:"Y" !== false ]
                      (<strong>Note: Your IP address will be associated with this post.</strong>)
                    [ /if ]
                  </td>
                </tr>
              </table>
              [ * If unregistered users are allowed to post, require an e-mail address * ]
              [ if $loggedIn eq 0 ]
                <table border="0">
                  <tr>
                    <td class="PostFieldName">E-mail&nbsp;Address&nbsp;(required):</td>
                    <td class="PostWideField">
                      <input type="text" name="author" class="PostWideField">
                    </td>
                  </tr>
                </table>
                [ * Specify a required e-mail field * ]
                <input type="hidden" name="required" value="author|email,data|the post body">
              [ else ]
                <input type="hidden" name="required" value="data|text for your post">
              [ /if ]
              <table class="Post">
                <tr>
                  <td class="PostFieldData" align="center">
                    <script language="JavaScript" type="text/javascript">
                    <!--
                      writeRichText("richData_[ $POST.ID ]", "", 660, 330, true, false);
                       //-->
                    </script>
                  </td>
                </tr>
                <tr>
                  <td>
                    <input class="PostButtons" type="Button" value="Cancel" onClick="toggleHidden('Reply_[ $POST.ID ]')">
                    <input class="PostButtons" type="Submit" value="Continue">
                  </td>
                </tr>
              </table>
            </form>
          </div>
      [ /if ]
      <br />
    [ * If there are no posts to display, display that fact * ]
    [ sectionelse ]
      <table class="Post">
        <tr>
          <td class="PostFieldData"><em>There is nothing to display in this view.</em></td>
        </tr>
      </table>
    [ /section ]
    <!-- END POSTS ------------------------------------------------------------>
  [ * Set up the previous and next navigation buttons * ]
    <table class="BrowseBar" cols="2">
      <tr>
        <td style="text-align:left">
          [ * Create the "Previous" link only if we are not starting from the beginning of the query results * ]
          [ if $viewParams.offset > 0 ]
             <a href="viewpoint.php?channel=[ $CHANNEL_URL ]&dynamic=y&search=[ $viewParams.search|urlencode ]&offset=[ $PREV_PAGE ]&max=[ $viewParams.max ]&sort=[ $viewParams.sort|urlencode ]"
               title="Previous Page"
               onMouseOver="window.status='Click to return to the previous page.';return true"
               onMouseOut="window.status='';return true">&#9668; Previous Page</a>
          [ else ]
            &nbsp;
          [ /if ]
        </td>
        <td style="text-align:right">
          [ * Create the "Next" link only if clicking it won't take us past the end of our query results * ]
          [ if $viewParams.max < $postCount ]
             <a href="viewpoint.php?channel=[ $CHANNEL_URL ]&dynamic=y&search=[ $viewParams.search|urlencode ]&offset=[ $NEXT_PAGE ]&max=[ $viewParams.max ]&sort=[ $viewParams.sort|urlencode ]"
               title="Next Page"
               onMouseOver="window.status='Click to browse to the next page.';return true"
               onMouseOut="window.status='';return true">Next Page &#9658;</a>
          [ else ]
            &nbsp;
          [ /if ]
        </td>
      </tr>
    </table>