    <!-- BEGIN POSTS ---------------------------------------------------------->
    [ section name=BBOARD loop=$postCount ]
      [ * Retrieve the next post to display * ]
      [ posts->Next assign="POST" ]
      <table class="PlainPost">
        <tr>
          <td class="PlainPostHeader">[ $POST.Title ]</td>
        </tr>
        [ * Though this template is designed to be minimalistic, if a user is logged in, we want to show certain things * ]
        [ if $loggedIn ]
          <tr>
            [ * Display who authored the post, and when * ]
            <td class="PostInstructions">
              Posted by <a href="viewpoint.php?view=UserInfo&dynamic=y&search=UserName='[ $POST.Author ]'" 
                           title="About the author"
                           onMouseOver="window.status='Click to find out more about the author of this post.';return true"
                           onMouseOut="window.status='';return true">[ $POST.Author ]</a>
              on [ $POST.PubDate|Timestamp:"l, d M Y \a\\t g:i A \(T\)" ]
            </td>
          </tr>
        [ /if ]      
        [ * If the user's subscription (rights) specify more than just reading posts, we want to show the options for editing/replying/deleting posts * ]
        [ if $SUBSCRIPTION ne "r" ]
          <tr>
            <td class="PostInstructions">
              [ * If the user is allowed to modify posts, show the "Edit" command * ]
              [ if $SUBSCRIPTION|indexOf:"m" !== false ]
                <a href="viewpoint.php?view=Post&dynamic=y&search=ID=[ $POST.ID ]"
                   title="Edit this post"
                   onMouseOver="window.status='Edit this post';return true"
                   onMouseOut="window.status='';return true">Edit</a> |
              [ /if ]
              [ * If the user is allowed to create posts, show the "Reply" command * ]
              [ if $SUBSCRIPTION|indexOf:"w" !== false ]
                <a href="javascript:toggleHidden('Reply_[ $POST.ID ]')"
                   title="Reply to this post"
                   onMouseOver="window.status='Reply to this post.';return true"
                   onMouseOut="window.status='';return true">Reply</a> |
              [ /if ]
              [ * If the user is allowed to delete posts, show the "Delete" command * ]
              [ if $SUBSCRIPTION|indexOf:"d" !== false ]
                <a href="javascript:confirmDeletePost('[ $CHANNEL_NAME_ENCODED ]',[ $POST.ID ])"
                   title="Delete this post"
                   onMouseOver="window.status='Delete this post';return true"
                   onMouseOut="window.status='';return true">Delete</a>
              [ /if ]
            </td>
          </tr>
        [ /if ] 
      </table>
      [ * Display the post itself * ]
      <table class="PlainPost">
        <tr>
          <td class="PlainPostData">[ $POST.Data ]
            [ * If this post has image attachments, display them beneath the post data * ]
            [ if $POST.AttachCount > 0 ]
              [ section name=pictures loop=$Post.Attachments ]
                [ if $POST.Attachments[pictures].FileType|indexOf:"image" !== false ]
                  <p align="center"><img src="[ $POST.Attachments[pictures].SourcePath ]" border="0" title="[ $POST.Attachments[pictures].AttachmentName ]"></p>
                [ /if ]
              [ /section ]
            [ /if ]
          </td>
        </tr>
        <tr>
          [ * If this post has replies (comments), display a link to the page that will show them * ]
          <td class="PlainPostData" style="text-align:right">
            [ if $POST.Replies > 0 ]
              <a href="viewpoint.php?view=[ $VIEW_URL ]&dynamic=y&search=ID=[ $POST.ID ]+OR+Parent=[ $POST.ID ]&sort=Reference,PubDate+ASC"
                 title="View comments on this post"
                 onMouseOver="window.status='View comments on this post.';return true"
                 onMouseOut="window.status='';return true">[ $POST.Replies ] [ "comment"|plural:$POST.Replies ] 
            [ else ]
              0 comments
            [ /if ]
          </td>
        </tr>
      </table>
      [ * If this post has attachments, display links to them * ]
      [ if $POST.AttachCount > 0 ]
        <table class="PlainPost">
          <tr>
            <td class="PlainPostData">
              [ section name=attachments loop=$POST.Attachments ]
                [ if !$smarty.section.attachments.first ]
                  |
                [ /if ]
                <img src="templates/images/site/clip.png" class="middle" border="0" title="Attachment">
                <a href="[ $POST.Attachments[attachments].SourcePath ]"
                   onMouseOver="window.status='Click to open or download this attachment.';return true"
                   onMouseOut="window.status='';return true"
                   title="Click to open or download this attachment"
                   target="_new">[ $POST.Attachments[attachments].AttachmentName ]</a>
                ([ $POST.Attachments[attachments].FileSize/1024|string_format:"%.1f" ] K) 
              [ /section ]
            </td>
          </tr>
        </table>
      [ /if ]
      [ * If the user is allowed to reply to posts, place the hidden reply forms beneath each post * ]
      [ if $SUBSCRIPTION|indexOf:"w" !== false ]
        <!-- Each Reply form is hidden until the user needs it -->
        <div style="display:none" id="Reply_[ $POST.ID ]">
          <form name="Reply[ $POST.ID ]" action="postit.php" method="post" onSubmit="updateRTE('richData_[ $POST.ID ]');return true">
            <input type="hidden" name="action" value="reply">
            <input type="hidden" name="id" value="[ $POST.ID ]">
            [ * If the post we are replying to has no parent, we are referring to this post (useful when threading conversations) * ]
            [ if $POST.Parent eq 0 ]
                <input type="hidden" name="ref" value="[ $POST.ID ]">
              [ else ]
                [ * Otherwise, this reply is written in (ultimate) reference to this post's parent * ]
                <input type="hidden" name="ref" value="[ $POST.Parent ]">
            [ /if ]
            <input type="hidden" name="channel" value="[ $thisChannel.ChannelName ]">
            <input type=hidden name="icon" value="[ $thisUser.Icon ]">
            <input type=hidden name="author" value="[ $thisUser.UserName ]">
            [ if $POST.Title|indexOf:"Re:" !== false ]
              <input type="hidden" name="title" value="[ $POST.Title ]">
            [ else ]
              <input type="hidden" name="title" value="Re: [ $POST.Title ]">
            [ /if ]
            <table class="Post">
              <tr>
                <td class="PostInstructions">
                  Enter your comments below.  When you are finished, simply click "Continue"!
                  [ if $thisSite.Security.IPTracking|indexOf:"Y" !== false ]
                    <br /><strong>Note: Your IP address will be associated with this post.</strong>
                  [ /if ]
                </td>
              </tr>
              <tr>
                <td class="PostFieldData" align="center">
                  <script language="JavaScript" type="text/javascript">
                  <!--
                    writeRichText("richData_[ $POST.ID ]", "", 660, 330, true, false);
                  //-->
                  </script>
                </td>
              </tr>
              <tr>
                <td>
                  <input class="PostButtons" type="Button" value="Cancel" onClick="toggleHidden('Reply_[ $POST.ID ]')">
                  <input class="PostButtons" type="Submit" value="Continue">
                </td>
              </tr>
            </table>
          </form>
        </div>
      [ /if ]
      [ * If there are no posts to display, display that fact * ]
      [ sectionelse ]
        <table class="PlainPost">
          <tr>
            <td class="PlainPostData"><em>There is nothing to display in this view.</em></td>
          </tr>
        </table>
      [ /section ]
      <!-- END POSTS ---------------------------------------------------------->
